#!/bin/bash

myfile=`basename $0`
mypath=`echo $0 | sed -e "s|$myfile||g" | sed -e "s|/$||g"`
cd $mypath
export PATH=$PATH:$mypath
export QTDIR=/usr/lib/ezx

echo "Size  Avail  File System" > 1.txt
df -h | grep ezx_user | sed 's/  */ /g' | sed 's/\([^ ]*\) \([^ ]*\) \([^ ]*\) \([^ ]*\) \([^ ]*\) \([^ ]*\)/\2 \4 \6/' >> 1.txt
df -h | grep ezxlocal | sed 's/  */ /g' | sed 's/\([^ ]*\) \([^ ]*\) \([^ ]*\) \([^ ]*\) \([^ ]*\) \([^ ]*\)/\2 \4 \6/' >> 1.txt
df -h | grep "/mmc/mmca1$" | sed 's/  */ /g' | sed 's/\([^ ]*\) \([^ ]*\) \([^ ]*\) \([^ ]*\) \([^ ]*\) \([^ ]*\)/\2 \4 \6/' >> 1.txt

./showsmallfile 1.txt
